メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
fields
/
custom
Get all custom fields of an organization
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/fields/custom \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/fields/custom"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/fields/custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": 1,
      "kind": "dropdown",
      "configuration": {
        "values": [
          {
            "id": "option_1",
            "value": "phone",
            "group": "phone",
            "label": {
              "ja": "こんにちは",
              "en": "Hello"
            }
          }
        ],
        "groups": [
          {
            "value": "phone",
            "label": {
              "ja": "こんにちは",
              "en": "Hello"
            }
          }
        ]
      },
      "visibleForType": "phone",
      "required": true,
      "attributeCode": "custom_text_field",
      "attributeName": "Foo bar"
    }
  ]
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

レスポンス

200 - application/json
items
object[]
必須
read-only
最終更新日 2026年7月14日